NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.SteelInsertSegmentParentBuilder Class Reference

Represents a Steel Insert Segment Parent sub feature. More...

Inheritance diagram for NXOpen.Die.SteelInsertSegmentParentBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ExtensionTypeOption { Constant, MaxdistPlusConst, Law }
 Settings for the extension type. More...
 
enum  InsertTypeOption { Trim, Flange, OffsetFlange }
 Settings for the insert type. More...
 

Public Member Functions

unsafe
NXOpen.Die.SteelInsertSegmentChildBuilder 
CreateChild ()
 Creates a child siseg More...
 
unsafe void DeleteChild (NXOpen.Die.SteelInsertSegmentChildBuilder diesisegchild)
 Deletes a child siseg More...
 
unsafe
NXOpen.Die.SteelInsertSegmentChildBuilder[] 
GetChildren ()
 Outputs the children More...
 
unsafe void SetBeltThickness (string beltThickness)
  More...
 
unsafe void SetExtensionDistance (string extensionDistance)
  More...
 
unsafe void SetProfileRelief (string profileRelief)
  More...
 
unsafe void SetReliefAngle (string reliefAngle)
  More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int AddEndPointsSwitch [get, set]
 Returns or sets the add end points switch More...
 
unsafe NXOpen.Expression BeltThickness [get]
 Returns the belt thickness More...
 
unsafe
NXOpen.Die.DieBuildStatusOption 
BuildStatus [get]
 Returns the build status of die sisegs More...
 
unsafe bool DesignStatus [get, set]
 Returns or sets the design status of die sisegs More...
 
unsafe bool DisplayStatus [get, set]
 Returns or sets the display status of die sisegs More...
 
unsafe NXOpen.Expression ExtensionDistance [get]
 Returns the extension distance More...
 
unsafe
NXOpen.Die.SteelInsertSegmentParentBuilder.ExtensionTypeOption 
ExtensionType [get, set]
 Returns or sets the extension type More...
 
unsafe
NXOpen.Die.SteelInsertSegmentParentBuilder.InsertTypeOption 
InsertType [get, set]
 Returns or sets the insert type More...
 
unsafe NXOpen.Expression ProfileRelief [get]
 Returns the profile relief More...
 
unsafe bool ProfileReliefToggle [get, set]
 Returns or sets the profile relief More...
 
unsafe NXOpen.Expression ReliefAngle [get]
 Returns the relief angle More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Steel Insert Segment Parent sub feature.

This sub feature is created via the main feature builder.

Created in NX4.0.0

Member Enumeration Documentation

Settings for the extension type.

Enumerator
Constant 

constant

MaxdistPlusConst 

maximum distance + constant

Law 

law

Settings for the insert type.

Enumerator
Trim 

trim

Flange 

flange

OffsetFlange 

offset_flange

Member Function Documentation

unsafe NXOpen.Die.SteelInsertSegmentChildBuilder NXOpen.Die.SteelInsertSegmentParentBuilder.CreateChild ( )
inline

Creates a child siseg

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Returns
unsafe void NXOpen.Die.SteelInsertSegmentParentBuilder.DeleteChild ( NXOpen.Die.SteelInsertSegmentChildBuilder  diesisegchild)
inline

Deletes a child siseg

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
diesisegchild
unsafe NXOpen.Die.SteelInsertSegmentChildBuilder [] NXOpen.Die.SteelInsertSegmentParentBuilder.GetChildren ( )
inline

Outputs the children

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Returns
children
unsafe void NXOpen.Die.SteelInsertSegmentParentBuilder.SetBeltThickness ( string  beltThickness)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
beltThickness
unsafe void NXOpen.Die.SteelInsertSegmentParentBuilder.SetExtensionDistance ( string  extensionDistance)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
extensionDistance
unsafe void NXOpen.Die.SteelInsertSegmentParentBuilder.SetProfileRelief ( string  profileRelief)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
profileRelief
unsafe void NXOpen.Die.SteelInsertSegmentParentBuilder.SetReliefAngle ( string  reliefAngle)
inline

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

Parameters
reliefAngle

Property Documentation

unsafe int NXOpen.Die.SteelInsertSegmentParentBuilder.AddEndPointsSwitch
getset

Returns or sets the add end points switch

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSegmentParentBuilder.BeltThickness
get

Returns the belt thickness

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Die.DieBuildStatusOption NXOpen.Die.SteelInsertSegmentParentBuilder.BuildStatus
get

Returns the build status of die sisegs

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.SteelInsertSegmentParentBuilder.DesignStatus
getset

Returns or sets the design status of die sisegs

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.SteelInsertSegmentParentBuilder.DisplayStatus
getset

Returns or sets the display status of die sisegs

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSegmentParentBuilder.ExtensionDistance
get

Returns the extension distance

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe NXOpen.Die.SteelInsertSegmentParentBuilder.ExtensionTypeOption NXOpen.Die.SteelInsertSegmentParentBuilder.ExtensionType
getset

Returns or sets the extension type

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Die.SteelInsertSegmentParentBuilder.InsertTypeOption NXOpen.Die.SteelInsertSegmentParentBuilder.InsertType
getset

Returns or sets the insert type

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSegmentParentBuilder.ProfileRelief
get

Returns the profile relief

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")

unsafe bool NXOpen.Die.SteelInsertSegmentParentBuilder.ProfileReliefToggle
getset

Returns or sets the profile relief

Created in NX4.0.0

License requirements to get this property: ug_die_design ("Die Design")

License requirements to set this property: ug_die_design ("Die Design")

unsafe NXOpen.Expression NXOpen.Die.SteelInsertSegmentParentBuilder.ReliefAngle
get

Returns the relief angle

Created in NX4.0.0

License requirements: ug_die_design ("Die Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.